%global	fcgiwrap_user	fcgiwrap
%global	fcgiwrap_group	%{fcgiwrap_user}

Name:		fcgiwrap
Version:	1.1.0
Release:	2%{?dist}
Summary:	Simple FastCGI wrapper for CGI scripts

License:	MIT
URL:		https://nginx.localdomain.pl/wiki/FcgiWrap
Source0:	https://github.com/gnosek/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0: 0001-Add-autoreconf-results.patch
Patch1: 0002-systemd_units.patch

BuildRequires:	fcgi-devel
BuildRequires:	systemd
BuildRequires:	systemd-devel
Requires(post):    systemd
Requires(preun):   systemd
Requires(postun):  systemd
Requires(pre):     shadow-utils

%description
Fcgiwrap is a simple server for running CGI applications over FastCGI. It hopes
to provide clean CGI support to Nginx (and other web servers that may need it).


%prep
%setup -q
%patch0 -p1
%patch1 -p1
chmod +x configure

%pre
getent group %{fcgiwrap_group} >/dev/null || groupadd -r %{fcgiwrap_group}
getent passwd %{fcgiwrap_user} >/dev/null || \
    useradd -r -g %{fcgiwrap_group} -d / -s /sbin/nologin \
    -c "CGI user for fcgiwrap" %{fcgiwrap_user}
exit 0


%build
%configure --prefix=/
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
install -p -D -m 0644 systemd/fcgiwrap.service \
    %{buildroot}%{_unitdir}/fcgiwrap.service
install -p -D -m 0644 systemd/fcgiwrap.socket \
    %{buildroot}%{_unitdir}/fcgiwrap.socket

%files
%doc README.rst
%{_sbindir}/*
%{_mandir}/man8/*
%{_unitdir}/*


%changelog
* Fri Jul 18 2014 Sebastian Dyroff <sdyroff@fedoraproject.org> - 1.1.0-2
- Add systemd files
- Fix review issues (BZ# 1075806)
- Create user account
- TODO: add selinux policy that allows http_t to use the fcgiwrap socket
- TODO: add README-fedora
- TODO: make conditional for centos 6 and 7
* Wed Mar 12 2014 Sebastian Dyroff <sdyroff@fedoraproject.org> - 1.1.0-1
- Initial package
